Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class ReadMeetingResponseModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.ReadMailModel
                  portlets.compoze.groupware.model.mail.ReadMeetingResponseModel

All Implemented Interfaces:
  java.io.Serializable

public class ReadMeetingResponseModel
extends ReadMailModel
implements java.io.Serializable

This class represents the data model for the read meeting response (`read_meeting_response.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`ReadMeetingResponseModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`MeetingResponse` | `getMeetingResponse()` Gets the meeting response.
`void` | `setMeetingResponse(MeetingResponse mr)` Sets the meeting response.

Methods inherited from class portlets.compoze.groupware.model.mail.ReadMailModel
`getCurrentFolderID, getFolderNavigation, getMessage, getMessageCount, getPagination, getProvider, isCommentsSectionAvailable, isDeleteAvailable, isFirstMessage, isFirstMessageInList, isForwardAvailable, isLastMessage, isLastMessageInList, isMoveToFolderAvailable, setCurrentFolderID, setFolderNavigation, setMessage, setMessageCount, setPagination, setProvider`

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadMeetingResponseModel

    public ReadMeetingResponseModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                    FeatureGroup featureGroup,
                                    GroupwarePreferences groupwarePrefs,
                                    MailPreferences mailPrefs,
                                    Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### setMeetingResponse

    public void setMeetingResponse(MeetingResponse mr)

  Sets the meeting response.

  Parameters:
    `mr` - the meeting response (may not be `null`)

### getMeetingResponse

    public MeetingResponse getMeetingResponse()

  Gets the meeting response.

  Returns:
    the meeting response

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.